Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Giải captcha kéo thả Geetest trên web
POST https://api.omocaptcha.com/v2/createTask
clientKey
String
task.type
task.imageBase64
curl -X POST https://api.omocaptcha.com/v2/createTask \ -H "Content-Type: application/json" \ -d '{ "clientKey": "OMO_API_KEY", "task": { "type": "GeetestSliderWebTask", "imageBase64": "BASE64_BODY_HERE" } }'
const res = await fetch("https://api.omocaptcha.com/v2/createTask", { method: "POST", headers: { "Content-Type": "application/json" }, body: JSON.stringify({ clientKey: "OMO_API_KEY", task: { type: "GeetestSliderWebTask", imageBase64: "BASE64_BODY_HERE" } }) }); console.log(await res.json());
import requests res = requests.post("https://api.omocaptcha.com/v2/createTask", json={ "clientKey": "OMO_API_KEY", "task": { "type": "GeetestSliderWebTask", "imageBase64": "BASE64_BODY_HERE" } }) print(res.json())
<?php $ch = curl_init("https://api.omocaptcha.com/v2/createTask"); curl_setopt($ch, CURLOPT_POST, true); curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type: application/json"]); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([ "clientKey" => "OMO_API_KEY", "task" => [ "type" => "GeetestSliderWebTask", "imageBase64" => "BASE64_BODY_HERE" ] ])); echo curl_exec($ch);
{ "errorId": 0, "taskId": "49f9f60a-c809-4af0-93c0-0409b72e67e0" }
errorId = 0
taskId
{ "errorId": 1, "errorCode": "", "errorDescription": "" }
errorId = 1
errorCode
POST https://api.omocaptcha.com/v2/getTaskResult
{ "clientKey": "OMO_API_KEY", "taskId": "49f9f60a-c809-4af0-93c0-0409b72e67e0" }
{ "errorId": 0, "status": "ready", "solution": { "end": { "x": 150, "y": 42 } } }
status = ready
solution
solution.end
end.x
{ "status": "processing", "errorId": 0, "errorCode": "", "errorDescription": "" }
status = processing
{ "errorId": 1, "errorCode": "ERROR_JOB_STATUS", "errorDescription": "Job failed", "status": "fail", "solution": {} }